JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions
juce_Variant.h File Reference

## Classes
class | var
| A variant class, that can be used to hold a range of primitive values. More...
struct | var::NativeFunctionArgs
| This structure is passed to a NativeFunction callback, and contains invocation details about the function's arguments and context. More...

## Functions
JUCE_API bool | operator== (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison.
JUCE_API bool | operator!= (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison.
JUCE_API bool | operator< (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison.
JUCE_API bool | operator<= (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison.
JUCE_API bool | operator> (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison.
JUCE_API bool | operator>= (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison.
JUCE_API bool | operator== (const var &, const String &)
JUCE_API bool | operator!= (const var &, const String &)
JUCE_API bool | operator== (const var &, const char *)
JUCE_API bool | operator!= (const var &, const char *)